## LassoIdWsf2SubsNotification LassoIdWsf2SubsNotification — <subs:Notification> |

## Functions

LassoIdWsf2SubsNotification * | lasso_idwsf2_subs_notification_new ()

## Types and Values

struct | LassoIdWsf2SubsNotification

## Description

Figure 245. Schema fragment for subs:Notification

    <xs:complexType name="NotificationType">
      <xs:sequence>
        <xs:element ref="lu:TestResult" minOccurs="0" maxOccurs="unbounded"/>
      </xs:sequence>
      <xs:attribute name="id" use="optional" type="xs:ID"/>
      <xs:attribute name="subscriptionID" use="required" type="lu:IDType"/>
      <xs:attribute name="expires" use="optional" type="xs:dateTime"/>
      <xs:attribute name="endReason" use="optional" type="xs:anyURI"/>
    </xs:complexType>

## Functions

### lasso_idwsf2_subs_notification_new ()

    LassoIdWsf2SubsNotification *
    lasso_idwsf2_subs_notification_new (void);

Creates a new LassoIdWsf2SubsNotification object.

#### Returns

a newly created LassoIdWsf2SubsNotification object

## Types and Values

### struct LassoIdWsf2SubsNotification

    struct LassoIdWsf2SubsNotification {
    	LassoNode parent;

    	/* elements */
    	GList *TestResult; /* of LassoNode */
    	/* attributes */
    	char *id;
    	char *subscriptionID;
    	char *expires;
    	char *endReason;
    };